/* gravity forms */
.gform-theme,
.gform-theme--foundation .gform_fields,
.gform-theme--api, 
.gform-theme--framework{
	--gf-color-primary-rgb:237,187,37 !important;
	--gf-form-gap-y: 20px !important;
	--gf-font-size-secondary:16px !important;
	--gf-ctrl-btn-font-size-md:16px !important;
	--gf-ctrl-btn-padding-y:23px !important;
	--gf-ctrl-btn-padding-x-md:35px !important;
	--gf-radius:4px !important;
	--gf-radius-max-md:4px !important;
	--gf-color-primary-darker:var(--awb-color4) !important;
	--gf-ctrl-border-color:var(--form_border_color);
	--gf-color-in-ctrl-primary:var(--awb-color4) !important;
	--gf-color-primary:var(--awb-color4) !important;
	--gf-font-size-tertiary:14px !important;
	
	margin-bottom:0 !important;

--gf-ctrl-date-picker-cell-content-bg-color-selected:var(--awb-color4) !important;
--gf-ctrl-date-picker-cell-content-bg-color-hover:var(--awb-color2) !important;
}

.gform_wrapper .gsection{
	border:none !important;
}

/* errors */
.gform_wrapper .gfield_error label{
	color:var(--gf-ctrl-label-color-primary) !important;
}
.gfield_error .gfield_label::before {
    content: '⚠️';
	display:contents;
}
.gform_wrapper .gfield_required{
	color:var(--awb-color4) !important;
}
.gform_wrapper .gfield_error .gfield_validation_message, 
.gform_wrapper .gform_validation_errors{
	background:var(--gf-form-validation-bg-color) !important;
	border:var(--gf-form-validation-border-width) var(--gf-form-validation-border-style) var(--gf-form-validation-border-color) !important;
	border-radius:4px !important;
	padding:16px !important;
	text-align:left !important;
}
.gform_wrapper .gform_submission_error{
	padding-bottom:0 !important;
	margin-bottom:0 !important;
	border:none !important;
}
.gform_wrapper .gfield_error .gfield_validation_message{
	display:none !important;/*
	background:none !important;
	border:none !important;
	padding:5px 0 !important;
	margin:0 !important;
	font-size:15px !important;*/
}
.gform-theme--framework .gform_validation_errors:focus{
	outline:none !important;
}
.gform_wrapper .gfield_error.gf_list_inline{
	border-radius:6px;
	padding:6px 10px;
}
.gform_wrapper .gfield_error.gf_list_inline,
.gform_wrapper .gfield_error input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]){
	background-color: var(--gf-form-validation-bg-color) !important;
	border:var(--gf-form-validation-border-width) var(--gf-form-validation-border-style) var(--gf-form-validation-border-color) !important;
}
.gfield_error.gf_list_inline .gchoice input::after{
	background-color: var(--awb-color1) !important;
}


/* fields */
.gform_wrapper .gravity-select-parent{
	overflow: visible !important;
}
.gform_wrapper .gravity-select-parent select{
	line-height:48px;
}
.gform_wrapper .top_label .gfield_label{
	margin-bottom:4px !important;
}
.gform_wrapper .gfield_description{
	font-size:var(--gf-local-font-size);
}
.gform_wrapper .gfield_description ul,
.gform_wrapper .gfield_description ul li {
	list-style:disc;
}
.gform_wrapper .gsection_title{
	margin:auto;
}

.iti--inline-dropdown .iti__dropdown-content{
	z-index:200;
}

/* confirmations */
.gform_confirmation_wrapper{
	border: solid 4px var(--awb-color4);
	font-weight: 700;
	display: flex;
	align-items: center;
	border-radius:var(--gf-radius);
}
.gform_confirmation_wrapper::before{
	content: '📨';
	float: left;
	margin: 0 20px 0 0;
	font-size: 50px;
	border-right:solid 4px var(--awb-color4);
	padding:20px 35px 30px;
	background-color:var(--awb-color2);
}


/* gf GEO */
.gfgeo-reset-location-button{
	background: #fff !important;
	color: #000 !important;
	border: solid 1px var(--awb-color4) !important;    
	padding: 8px 12px !important;
	height: 50px !important;
}
.bouton-geocode{
	align-self:end !important;
}


/* file upload */
.gform_drop_area,
.gpfup__droparea{
	border-radius:4px !important;
	background-color: white !important;
    height: auto !important;
    padding: 40px !important;
    border-color: rgb(104, 110, 119) !important;
}
.gform_drop_area > div,
.gpfup__droparea > div{
	display:grid !important;
	grid-row-gap:10px !important;
    flex-direction: column !important;
}
.gform_button_select_files{
	padding-block:13px !important;
	margin:auto !important;
}
.gpfup_progress,
.cropper__lightbox button{
	background-color:var(--awb-color4) !important;
}
.gpfup__file-info, .gpfup__preview {
    user-select: none;
}

.gpfup__droparea span:not(.gpfup__select-files-container) {
    margin-bottom: 12px;
    font-size: 14px;
    color: rgba(17, 35, 55, 0.725);
    font-weight: 500;
}

.gpfup__droparea span:not(.gpfup__select-files-container):before {
    font-family: var(--gf-icon-font-family) !important;
    font-style: normal;
    font-variant: normal;
    font-weight: 400;
    line-height: 1;
    speak: never;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    color: var(--gf-ctrl-file-zone-icon-color);
    content: var(--gf-icon-ctrl-file);
    display: block;
    font-size: var(--gf-ctrl-file-zone-icon-font-size);
    margin-block-end: var(--gf-ctrl-file-zone-icon-margin-y-end);
}

.gpfup__droparea .gpfup__select-files-container button{
	--button_gradient: linear-gradient(var(--button_gradient_angle, 180deg), var(--button_gradient_top_color) var(--button_gradient_start, 0%), var(--button_gradient_bottom_color) var(--button_gradient_end, 100%));
	background-image: var(--button_gradient);
}
.gpfup__droparea .gpfup__select-files-container button:hover{
	--button_gradient_hover: linear-gradient(var(--button_gradient_angle, 180deg), var(--button_gradient_top_color_hover) var(--button_gradient_start, 0%), var(--button_gradient_bottom_color_hover) var(--button_gradient_end, 100%));
    background-image: var(--button_gradient_hover);
}


/* entry blocks */
.wp-block-gp-entry-blocks-entries-table th{
	text-align:left;
}


/* multiple select */
.ts-control{
	border-width:var(--form_border_width-top) var(--form_border_width-right) var(--form_border_width-bottom) var(--form_border_width-left) !important;
}
.ts-control>input,
.ts-control .item{
	height:36px !important;
	font-size:16px;
}
.focus .ts-control{
	border-color:var(--form_focus_border_color) !important;
	box-shadow:var(--gf-ctrl-shadow-focus) !important;
}
.ts-wrapper.multi .ts-control > div{
	background:var(--awb-color2) !important;
}
.ts-wrapper.multi .ts-control > div.active{
	background:var(--awb-color4) !important;
}


/* form-fond-sombre */
.form-fond-sombre .top_label .gfield_label,
.form-fond-sombre .ginput_complex label, .form-fond-sombre .ginput_complex legend,
.form-fond-sombre .gchoice label{
	color:#fff !important;
}
.form-fond-sombre .gform_required_legend{
	display:none !important;
} 
.form-fond-sombre .gform_confirmation_wrapper {
	background-color:#fff;
}


/* date picker */
.gform-theme--framework.ui-datepicker select.ui-datepicker-month, .gform-theme--framework.ui-datepicker select.ui-datepicker-year{
	line-height:30px;
	height:auto !important;
}
.gform-theme--framework.ui-datepicker{
	inline-size:300px !important;
	padding-block:8px !important;
	padding-inline:8px !important;
	border-radius:var(--form_border_radius) !important;
	box-shadow:0 1px 4px rgba(18, 25, 97, 0.0779552) !important;
	border:var(--form_border_width,1px) solid var(--form_border_color,#d2d2d2) !important;
	border-width: var(--form_border_width-top) var(--form_border_width-right) var(--form_border_width-bottom) var(--form_border_width-left) !important;
	border-color: var(--form_border_color) !important;
	border-style:solid !important;
}


/* autres ajustements globaux */
.gform_wrapper .gfield_html ul{
	margin-top:0;
}
.gform_wrapper .gfield_html ul li{
	list-style:initial !important;
}
.gsection_description ul {
    margin: 4px 10px;
    padding: 0;
}


/* GP Entry Blocks */
tr.pending{
	background-color:#dae8f4;
}
tr.trash{
	background-color:#d8d8d8;
}
tr.draft{
	background-color:var(--awb-color2);
}
tr.publish{
	background-color:#d7e8d5;
}


/* Advanced Select */
.ts-wrapper.single.has-items .ts-control input{
	display:none !important;
}
.ts-wrapper.single .clear-button{
	font-size:21px !important;
}
.ts-wrapper.single.has-items .ts-control{
	background-image:none !important;
}
.plugin-clear_button .clear-button{
	transform:translateY(-50%) translateX(24px) !important;
}
.plugin-clear_button.focus.has-items .clear-button, 
.plugin-clear_button:not(.disabled).has-items .clear-button{
	opacity:1 !important;
}


/* Mots de passe */
.woocommerce form .show-password-input {
    font-family: awb-icons;
    position: absolute;
    right: 1em;
    top: .75em;
    line-height: 1;
}
.woocommerce form .show-password-input:before {
    content: "\f070" !important;
}


/* champ HTML */
.gfield--type-html p{
	font-size:16px !important;
	font-style:italic !important;
}


/* woocommerce */
.gform_wrapper #field_1_13 .show-password-input {
    --gf-local-bg-color: transparent;
    --gf-local-shadow: none;
    padding: 0;
}

.gform_wrapper #field_1_13 .show-password-input:before {
    content: "\f070" !important;
    font-family: awb-icons !important;
    color: #333;
}